<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/page-6.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/locale/af.js">
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script type="text/javascript" src="date.js"></script>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Project Directory</title>
</head>
<body>
 <div class="container">
       
        <nav class="nav-bar">
            <!-- <div class="icon">
                <div class="hero-section-button">
                    <input type="button" onclick="parent.location='create.html'" value="Create New Project">
                </div>

                <div class="logout-icon">
                    <a href="login.html"><span class="glyphicon glyphicon-off"></span> Log Out </a>
                </div>
            </div> -->

            <div class="arrow-icon">
                <a href="index.html"><i class="fa fa-long-arrow-left" aria-hidden="true"></i></a>
            </div>
            <div class="heading">
                <h1> Project Directory</h1>
            </div>
        </nav>
        
    <div class="wrapper"> 
        <div class="project-list">
            <select id="sortInput" class="project-list-item" >
                <option id="sort by Programming" value="">sort by Programming</option>
                <option value="" selected="selected">All</option>
                <option value="Programming">Programming</option>
                <option value="Design">Design</option>
                <option value="Animation">Animation</option>
                <option value="Netwoking">Netwoking</option>
            </select>
            
            <div class="search-button">
                <input  id="filterInput" class="insert-icon" type="search" placeholder="Search" >
                <i class="fa fa-search"></i>
            </div> 
        </div>
        
    <div class="main-container">   
        <div class="container-section-1">
            <div class="item-list">
                <h5>CATEGORIES</h5>
                <ul type="none" id="categories" >
                    <li onclick="searchValue('',['tag'])" > <a href="#">ALL</a></li>
                    <li onclick="searchValue('programming',['tag'])"> <a href="#">PROGRAMMING</a></li>
                    <li onclick="searchValue('design',['tag'])"> <a href="#">DESIGN</a></li>
                    <li onclick="searchValue('animation',['tag'])"> <a href="#">ANIMATION</a></li>
                    <li onclick="searchValue('netwoking',['tag'])"> <a href="#">NETWOKING</a></li>
                </ul>
            </div>

            <section class="section">
                <div class="section-project">
                    <h3>LATEST PROJECT</h3>
                </div>
                <div class="Latest-Project">
                    <ul type="none" id="newproject">
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                        <li><a href="#">Rejolut:Emerging Tech Company</a></li>
                    </ul>  
                </div>
            </section>

        </div>

        <div class="container-section-2" id="cs-2">
            <div class="alternative-section-1">
                <div class="contained-section-1" >
                    <div class="img-section">
                        <img src="./img/adobe-xd-thumb.png">
                    </div>

                    <div class="other-info">
                        <div class="link">
                            <h5>Project Link</h5>
                            <ul type="none">
                                <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                            </ul>
                            <a href="update_page.html" onclick="editProject()"> <i class="fa fa-edit"></i></a>
                        </div> 
                        <p>10 day ago</p>
                        <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                        <h4 id="tag-line">BLOCKCHAIN</h4>
                        <div class="para">
                                <P id="desc-line">Transparency and fluid communication is the
                                    key behind success of any<span>...read more</span>
                                </P>
                        </div>
                    </div>
                </div>
               
            </div>   
            <!-- <div class="button">
                <input type="button" value="Go To Project Directory">
            </div> -->
            
                <!-- <div class="contained-section-1">
                    <div class="img-section">
                        <img src="./img/micro-soft.png">
                    </div>

                    <div class="other-info">
                         <div class="link">
                            <h5>Project Link</h5>
                            <ul type="none">
                                <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                            </ul>
                          </div> 
                          <p>10 day ago</p>
                          <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                          <h4 id="tag-line">BLOCKCHAIN</h4>
                          <div class="para">
                                <P id="desc-line">Transparency and fluid communication is the
                                    key behind success of any<span>...read more</span>
                                </P>
                           </div>
                    </div>
                </div> -->
                
                    
                <!-- <div class="alternative-section-2">
                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/google.png">
                        </div>
    
                        <div class="other-info-2">
                             <div class="section-2-link">
                                 <div class="link">
                                        <h5>Project Link</h5>
                                        <ul type="none">
                                            <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                            <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                            <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                        </ul>
                                </div>
                                <div class="p-info">
                                    <p>10 day ago</p>
                                </div>
                              </div> 
                              
                              <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                              <h4 id="tag-line">BLOCKCHAIN</h4>
                        </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/photoshop-106-1.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/Angular_full_color_logo.svg.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/node-js.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN </h4>
                       </div>
                    </div>
                </div>

                <div class="alternative-section-1">
                    <div class="contained-section-1">
                        <div class="img-section">
                            <img src="./img/java.png">
                        </div>
    
                        <div class="other-info">
                            <div class="link">
                                <h5>Project Link</h5>
                                <ul type="none">
                                    <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                    <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                    <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                </ul>
                            </div> 
                            <p>10 day ago</p>
                            <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                            <h4 id="tag-line">BLOCKCHAIN</h4>
                            <div class="para">
                                    <P id="desc-line">Transparency and fluid communication is the
                                        key behind success of any<span>...read more</span>
                                    </P>
                            </div>
                        </div>
                    </div>
                
                    <div class="contained-section-1">
                        <div class="img-section">
                            <img src="./img/google.png">
                        </div>
    
                        <div class="other-info">
                             <div class="link">
                                <h5>Project Link</h5>
                                <ul type="none">
                                    <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                    <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                    <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                </ul>
                              </div> 
                              <p>10 day ago</p>
                              <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                              <h4 id="tag-line">BLOCKCHAIN</h4>
                              <div class="para">
                                    <P id="desc-line">Transparency and fluid communication is the
                                        key behind success of any<span>...read more</span>
                                    </P>
                               </div>
                        </div>
                    </div>
                </div>

                <div class="alternative-section-2">
                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img class="logo-icon-design" src="./img/cropped-Rejolut.png" >
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/node-js.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/laptop-mock.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>


                    <div class="contained-section-2">
                        <div class="img-section-2">
                            <img src="./img/image-c.png">
                        </div>
    
                        <div class="other-info-2">
                            <div class="section-2-link">
                                <div class="link">
                                       <h5>Project Link</h5>
                                       <ul type="none">
                                           <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                           <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                           <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                       </ul>
                               </div>
                               <div class="p-info">
                                   <p>10 day ago</p>
                               </div>
                             </div> 
                             
                             <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                             <h4 id="tag-line">BLOCKCHAIN</h4>
                       </div>
                    </div>
                </div>


                <div class="alternative-section-1">
                    <div class="contained-section-1">
                        <div class="img-section">
                            <img src="./img/photoshop-106-1.png">
                        </div>
    
                        <div class="other-info">
                            <div class="link">
                                <h5>Project Link</h5>
                                <ul type="none">
                                    <li> <a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                    <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                    <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                </ul>
                            </div> 
                            <p>10 day ago</p>
                            <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                            <h4 id="tag-line">BLOCKCHAIN</h4>
                            <div class="para">
                                    <P id="desc-line">Transparency and fluid communication is the
                                        key behind success of any<span> ...read more</span>
                                    </P>
                            </div>
                        </div>
                    </div>
                
                    <div class="contained-section-1">
                        <div class="img-section">
                            <img src="./img/adobe-xd-thumb.png">
                        </div>
    
                        <div class="other-info">
                             <div class="link">
                                <h5>Project Link</h5>
                                <ul type="none">
                                    <li><a href="#"><img src="./img/globe-solid.svg" width="7px"></a></li>
                                    <li><a href="#"><img src="./img/playstore.png" width="7px"></a> </li>
                                    <li> <a href="#"><i class="fa fa-apple"></i></a></li>
                                </ul>
                              </div> 
                              <p>10 day ago</p>
                              <h3 id="title-line">Rejolut:Trusted Blackchain Devlopment Company</h3>
                              <h4 id="tag-line">BLOCKCHAIN</h4>
                              <div class="para">
                                    <P id="desc-line">Transparency and fluid communication is the
                                        key behind success of any<span> ...read more</span>
                                    </P>
                               </div>
                        </div>
                    </div>
                </div> -->

       </div>             
    </div>
    
 </div>
 </div>
 <script>
    let projects=[];
 
     function getProjects(){       
         axios.get('http://15.206.64.54:4000/projects?projectId')
         .then(function (response) {
             console.log('Response:::',response)
             projects=response.data.body
             createGrids(projects);
             console.log("ki...............",projects);
         })
         .catch(function (error) {
         });
     }

     function dateToHowManyAgo(milliseconds){
        var currDate = new Date();
        var diffMs = currDate.getTime() - new Date(milliseconds).getTime();
        var sec=diffMs/1000;
        if(sec<60)
            return parseInt(sec)+' second'+(parseInt(sec)>1?'s':'')+' ago';
        var min=sec/60;
        if(min<60)
            return parseInt(min)+' minute'+(parseInt(min)>1?'s':'')+' ago';
        var h=min/60;
        if(h<24)
            return parseInt(h)+' hour'+(parseInt(h)>1?'s':'')+' ago';
        var d=h/24;
        if(d<30)
            return parseInt(d)+' day'+(parseInt(d)>1?'s':'')+' ago';
        var m=d/30;
        if(m<12)
            return parseInt(m)+' month'+(parseInt(m)>1?'s':'')+' ago';
        var y=m/12;
        return parseInt(y)+' year'+(parseInt(y)>1?'s':'')+' ago';
    }
    

     function getGrids(data, iterator){
       
         let grid = `
             <div class="contained-section-1" ondblclick="moveToNextPage('${data._id}')" >
                 <div class="img-section">
                     <img src="./img/adobe-xd-thumb.png">
                 </div>

                 <div class="other-info">
                     <div class="link">
                         <h5>Project Link</h5>
                         <ul type="none">
                             <li><a href="./file.pdf" type="application/octet-stream"><img src="./img/globe-solid.svg" width="7px"></a></li>
                             <li><a href="./file.pdf" type="application/octet-stream"><img src="./img/playstore.png" width="7px"></a> </li>
                             <li><a href="./file.pdf" type="application/octet-stream"><i class="fa fa-apple"></i></a></li>
                         </ul>
     
                     </div> 
                     <p id="project-date"> ${data.date ? dateToHowManyAgo(data.date) : ''}</p>
                     <h3 id="title-line">${data.title}</h3>
                     <h4 id="tag-line">${data.tag}</h4>
                     <div class="para">
                         <p id="desc-line-${iterator}">${data.desc} </p>
                     </div>
                     <span onclick="myFunction(this, ${iterator})" id="myBtn">Read more</span>
                 </div>
             </div>`;
         return grid;
     }                    
 
     function createGrids(response){
         let gridContainer = "";
         for(let i=0; i<response.length; i++){
             gridContainer += `<div class="alternative-section-1"> ${ getGrids(response[i], i)} </div>`;                        
            //  gridContainer += getGrids(response[i], i);
            //  gridContainer += `</div>`;
         }
         newProject(response);
         document.querySelector('#cs-2').innerHTML = gridContainer;
     }
     
     function myFunction(currentElement, iterator){
         const paragraphElement = document.querySelector(`#desc-line-${iterator}`);
         if(paragraphElement.style.height.trim() === 'auto') {
             paragraphElement.style.height = "27px";
             currentElement.innerHTML = "Read more";     
         } else {
             paragraphElement.style.height = "auto";
             currentElement.innerHTML = "Read less";     
         }            
     }

          
     filterInput.addEventListener('keyup', function(event) {
         console.log('Event sent::',event.target.value)
         searchValue(event.target.value);
     });
     
//keyword contain the user input and fields contain the title,tag,desc array

     searchValue = (keyword="",fields=[]) =>{
         console.log('..........--->',keyword,fields)
         const filterValue = keyword;
         
         let updateProjectList=[];

         if(filterValue===''){
             updateProjectList = projects;
         }else{
             // -------
//fields contain data array ,            
                 fields = fields.length===0 ? Object.keys(projects[0]) : fields;
                 console.log('............Fields',fields);

                 fields.forEach((field,index) => {
                     const newList = projects.filter((project ,index) => {
                         return project[field] ? project[field].toLowerCase().includes(keyword.toLowerCase()) : false; 
                     });

                     updateProjectList = newList && newList.length>0 ? [...updateProjectList,...newList] : updateProjectList;
                 });
//fields means collection of array(id ,title,tag) and field means particular tag                            
//include search the value form starting (alphabet) not a whole word matching 
// 
         }
         console.log('Filtered List',updateProjectList);
         createGrids(updateProjectList);
     };
     
     sortInput.addEventListener('click',function(event){
         console.log("kalam............",sortInput);
         sortFunction();
         
     });

     function sortFunction() {
         let x = document.getElementById("sortInput").selectedIndex;
         let selectedItem = document.getElementsByTagName("option")[x].value;
         console.log("display selectItem............",selectedItem);
         searchValue(selectedItem,fields=['tag']);

     } 
     
     function editProject(){       
         axios.get('http://15.206.64.54:4000/projects?projectId=${data._id}')
         .then(function (response) {
             console.log('Response:::',response)
             projects=response.data; 
             console.log("",projects);
             //createGrids(projects);
             
         })
         .catch(function (error) {
         });
     }

     function moveToNextPage(id){
        console.log('hhhhhhhhhhhhhhhhhhhh:::::',id)
        window.location = `page-7.html?id=${id}`
    }
    getProjects();

    function newProject(projectArray) {
        var list = '';
        for (let i = 0; i < projectArray.length; i++) {
            if(projectArray[i].date) {
                projectArray[i].timestamp = new Date(projectArray[i].date).getTime();
            } else {
                projectArray[i].timestamp = 0;
            }            
        }
        const projects = projectArray.sort( (a, b) =>  b.timestamp - a.timestamp).slice(0, 8);
        //console.log("hii", projects);
        for (let j = 0; j < projects.length; j++) {

             list += `<ul type="none" id="newproject">
                            <li><a href="${`page-7.html?id=${projects[j]._id}`}">${projects[j].title}</a></li>
                        </ul> `;   
        }
        document.getElementById('newproject').innerHTML = list;
        console.log('ghghghghgh', list)
        // let listContainer = `<ul type="none" id="newproject"> ${projects[j]} </ul>`;
    }

</script>    

</body>
</html>

